<?php

/*
Theme Name: Sobre
Version: 1.2
Description: Black and white theme, based on Yoga/dark.
Theme URI: http://piwigo.org/ext/extension_view.php?eid=375
Author: Gotcha
Author URI: http://www.julien-moreau.fr
*/

$themeconf = array(
  'parent' => 'default',
  'name'  => 'sobre',
  'local_head'  => 'local_head.tpl',
);

load_language('theme.lang', PHPWG_THEMES_PATH.'sobre/');

add_event_handler('loc_begin_page_header', 'set_sbre_header');
function set_sbre_header()
{
  global $page, $conf, $template;
  $config = unserialize($conf['Sobre']);
  if (isset($page['body_id']) and $page['body_id'] == 'theCategoryPage')
  {
    $header = isset($page['category']) ? $config['categories'] : $config['home'];
  }
  elseif (isset($page['body_id']) and $page['body_id'] == 'thePicturePage')
  {
    $header = $config['picture'];
  }
  else
  {
    $header = $config['other'];
  }
  $template->assign('display_sbre_banner', $header);
}

?>
